/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.DefaultPagination;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.platform.db.entity.CltDictItem;
import net.northking.cctp.testbug.db.entity.BugManagement;
import net.northking.cctp.testbug.dto.*;
import net.northking.cctp.testbug.dto.bus.*;

import java.util.List;

/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-08 15:56:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugManagementService extends BasicService<BugManagement>
{
    List<String> queryBugCreatedBy(List<String> projectList, String tenantId);

    List<String> queryBugReceiver(List<String> projectList, String tenantId);

    Pagination<BugManagementDetailDto> pagingQueryNew(QueryByPage<BugManagementQueryDto> queryByPage);

    List<BugManagement> queryBugInfo(BugManagementQueryDto dto);

    Integer synchronizationModule(SynModule data);

    Integer synchronizationSystem(SynSystem data);

    List<BugManagementDetailDto> findByLinkId(String linkId);

    List<BugTendencyChartDetailDto> queryBugByStatus(String proId,List<String> statusList, String tenantId,String startTime,String endTime);

    DefaultPagination<BugManagementDetailDto> pagingQueryFilter(QueryByPage<BugManagementQueryDto> queryByPage);

    List<BugStatisticsChartAddDto> queryBugByDicItems(List<CltDictItem> dictItems,String tenantId);

    List<IsCommitBugDetailDto> findByLinkIdList(List<String> linkIdList);

    List<String> findTenantIdList();

    List<BugStatisticsChartAddDto> queryBugByDicItems2(List<CltDictItem> parseArray, String tenantId, List<String> projectIdList, String recordType);

    DefaultPagination<BugHighDegreeChartDetailDto> pagingQueryHighDegree(QueryByPage<BugHighDegreeChartQueryDto> queryByPage);

    Integer queryUserBugByProId(String projectId, String userId);

    CountBugDetailDto countBugAmount(String projectId,List<String> endStatusList);

    List<BugManagementDetailDto> pageQ(BugManagementQueryDto query);

    void add(BugManagement entity);
    // ----      The End by Generator     ----//

}
